.social-networks {

  $social_networks: ("fa-facebook-f": #3b5998, "fa-twitter": #1da1f2, "fa-instagram": #f56040, "fa-soundcloud": #ff8800, "fa-youtube": #ff0000);
  a {
    font-size: 1.5rem;
    
    &:not(:last-child) {
      padding-right: 1rem;
    }
    
    @each $icon, $color in $social_networks {
      & > .#{$icon}:hover {
        color: $color;
      }
    }
  }
}